<template>
  <v-app>
    <v-toolbar>
      <v-toolbar-title>Daten gegen Rechts</v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn @click="showMap">
        Karte
      </v-btn>
      <v-btn style="margin-left: 10px;" @click="showDiagram" >
        Diagramm
      </v-btn>
      <v-btn style="margin-left: 10px;" @click="showList" >
        Liste
      </v-btn>
      <v-btn style="margin-left: 10px;" @click="showInfo" >
        Info
      </v-btn>
    </v-toolbar>
    <v-main>
      <Map v-if="map"></Map>
      <div style="padding: 1.5rem">
        <ChartContainer v-if="diagram"></ChartContainer>
        <List v-if="list"></List>
        <Info v-if="info"></Info>
      </div>
    </v-main>
  </v-app>
</template>

<script>
import ChartContainer from "@/components/ChartContainer";
import Map from "@/components/Map";
import List from "@/components/List";
import 'leaflet/dist/leaflet.css';

import { Icon } from 'leaflet';
import Info from "@/components/Info";

delete Icon.Default.prototype._getIconUrl;
Icon.Default.mergeOptions({
  iconRetinaUrl: require('leaflet/dist/images/marker-icon-2x.png'),
  iconUrl: require('leaflet/dist/images/marker-icon.png'),
  shadowUrl: require('leaflet/dist/images/marker-shadow.png'),
});

export default {
  name: 'App',

  components: {
    Info,
    ChartContainer,
    Map,
    List
  },
  created() {
    const html = document.documentElement // returns the html tag
    html.setAttribute('lang', 'de')
  },
  data: () => ({
    map: true,
    diagram: false,
    list: false,
    info: false,
  }),
  methods: {
    showMap(){
      this.map = true;
      this.diagram = false;
      this.list = false;
      this.info = false;
    },
    showDiagram(){
      this.map = false;
      this.diagram = true;
      this.list = false;
      this.info = false;
    },
    showList(){
      this.map = false;
      this.diagram = false;
      this.list = true;
      this.info = false;
    },
    showInfo(){
      this.map = false;
      this.diagram = false;
      this.list = false;
      this.info = true;
    }
  }
};
</script>

<style>
p.slim {
  margin: 0.5em 0;
  margin-bottom: unset !important;
}
</style>
